Package org.eclipse.emf.cdo.view

# Interface CDORevisionPrefetchingPolicy

public interface CDORevisionPrefetchingPolicy
A strategy interface to customize the `revision` prefetching behavior of a `view`.

Since:
  2.0
Author:
  Simon McDuff
See Also:
  - `CDOView.Options.setRevisionPrefetchingPolicy(CDORevisionPrefetchingPolicy)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDORevisionPrefetchingPolicy`
`NO_PREFETCHING`

## Method Summary

Modifier and Type
Method
Description
`List<CDOID>`
`loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`

## Field Details

### NO_PREFETCHING

static final CDORevisionPrefetchingPolicy NO_PREFETCHING

## Method Details

### loadAhead

List<CDOID> loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)

Parameters:
  `revisionManager` - Lookup availability of objects in the cache with `CDORevisionManager.containsRevision(CDOID, CDOBranchPoint)`.
  `targetObject` - Container of the list
Returns:
  Should return a list of id's to fetch.
Since:
  3.0